View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000366aMuleSharedfilespublic2005-04-07 23:002005-08-10 23:51
Reporterm2kio 
Assigned ToXaignar 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000366: File comments popup in Shared files
Descriptionin: Shared Files>popup_on_file>Change this files comment...

(1) The text above the comment field is poor English.
I suggest: "Comment for this file. (This text will be shown to all other users)
(( native english speakers may suggest s.th. even better ;) ))

(2) Sorting in File quality popup: currently sorting of quality rating is not sequential.
suggested: change sorting to: notRated, Fake, Poor, Fair, Good, Excellent
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships
related to 0000369closed Metabug: Bad translated strings. 

-  Notes
(0000886)
Xaignar (manager)
2005-04-22 00:22

Thank you for introducing us to Google and for the lecture in the proper usage of apostrophes. Had we been your average butt-scratching howler monkeys, we would probably have been enlightened by your marvelous teachings. However, we are not your average butt-scratching howler monkeys, though most of us do suffer from the disadvantage of not having English as our language of birth.

If you, as your post suggests, aspire to state the obvious, then I'd suggest that you proceed to your local zoo and have a chat with any butt-scratching howler monkeys that might be found there. These butt-scratching howler monkeys however do not appreciate being told the obvious, as you might have deduced by now ...

---

As for improving the message, that is indeed something that we intend to do, however that is a post-2.0 concern, hence the lack of activity in this regard at the moment.

As for the actual message, several possibilities exist. I'm personally in favor of something like "Comment/Rate file", since captions that are too long are quite an eyesore.

Of course, this could be made context sensitive, such that files without comments/ratings would display "Add Comment/Rating" and files with comments/ratings would display "Edit Comment/Rating".
(0000888)
JohnGH (reporter)
2005-04-22 01:21

I'm sorry, I've never written to a howler monkey before, average or extraordinary, with scratched or un-scratched butts.
I'm thrilled to have the chance to do so! how do you do?

No disadvantage mate, you're lucky that you don't have to suffer through the endless crap they have here in the UK about which words should be used in documents, forms, law, program interfaces you name it, hence my *sigh* at the bottom of the post.

Hopefully my noting the apostrophe was helpful to someone, as I also hope was my noting the "Startet" in the messages window, if not please tell me to piss off and I'll save your time and mine by not poking my nose into your business anymore.

Thank you for your invitation, I'm sorry I don't agree with zoos, so I don't visit them. So I don't offend anyone I won't paste another URL, I'll just say "ZooCheck" and let whoever figure out what I mean.

---

I agree with your suggestion, "Comment/Rate file" would be better, as long as it makes sense to most users.

I've had to struggle through re-wording application interfaces too for work in the past and I hate it. You find a string that's nice and short and then the boss decides people won't understand it - always a trade off between clarity & brevity.
(0000889)
Xaignar (manager)
2005-04-22 01:43

I'm fine, though I have a lot of butt-scratching to catch up to. ;)
Your message managed to raise my hackles (seemingly unjustified), hence my rather scathing reply. I'll leave it at that and apologize of my crass reply to what was apparently a sincere post.

You are of course welcome to open bugs for any Engrish you might come across in aMule and we will of course fix it.
(0000897)
m2kio (reporter)
2005-04-22 12:33

huh, i read this yesterday, but i felt it was too late for a reasonable reply, facing at least one to flame me back :)

@JohnHG: you have misunderstood my initial writing. what you have corrected was the pointer to the bad text: "in: Shared Files>popup_on_file>Change this files comment..." and actually the apostroph is even there in amule, i just missed it when retyping here.
The actual bad string reported as (1) is "Comment this file (this text will be show by all users)". i just was too lazy to retype it, as c&p wasn't possible and i thought, everyone in charge would be able to find it following the pointer. just to clarify this.
(0000900)
JohnGH (reporter)
2005-04-22 13:36

Xaignar:
Sorry I didn't mean to get your back up!
No need to appologise mate, but thank you anyway, certainly accepted!

m2kio:
aha, thank you - sorry I hadn't found the string you were referring to then, I see what you mean!

I'll pull my first post, because in that case it's just clutter now!

If it needs a more descriptive message than "Comment/Rate file" then perhaps:

"(Text is visible to all users)" could be added.

It could hopefully help prevent people who keep their files shared thinking they're writing notes to themselves in thier own media storage database!
(0001201)
Xaignar (manager)
2005-08-10 23:51

Both issues should have been resolved in CVS now. If you have any issues with the result, then please feel free to reopen this bug.

Cheers,
 Xaignar

- Issue History
Date Modified Username Field Change
2005-04-07 23:00 m2kio New Issue
2005-04-09 15:46 Xaignar Relationship added related to 0000369
2005-04-20 17:10 JohnGH Note Added: 0000871
2005-04-22 00:00 Kry Status new => acknowledged
2005-04-22 00:22 Xaignar Note Added: 0000886
2005-04-22 00:23 Xaignar Status acknowledged => feedback
2005-04-22 00:27 Xaignar Status feedback => acknowledged
2005-04-22 01:21 JohnGH Note Added: 0000888
2005-04-22 01:22 JohnGH Note Edited: 0000871
2005-04-22 01:43 Xaignar Note Added: 0000889
2005-04-22 12:33 m2kio Note Added: 0000897
2005-04-22 13:36 JohnGH Note Added: 0000900
2005-04-22 13:36 JohnGH Note Deleted: 0000871
2005-08-10 23:51 Xaignar Status acknowledged => resolved
2005-08-10 23:51 Xaignar Fixed in Version => CVS
2005-08-10 23:51 Xaignar Resolution open => fixed
2005-08-10 23:51 Xaignar Assigned To => Xaignar
2005-08-10 23:51 Xaignar Note Added: 0001201


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker